GET /api/endpoint/metadata/{id}

Spaces method and path for this operation:

get /s/{space_id}/api/endpoint/metadata/{id}

Refer to Spaces for more information.

Get host metadata for a specific endpoint.

Path parameters

  • id string Required

    The agent ID of the endpoint.

Responses

  • 200 application/json

    Indicates a successful call.

GET /api/endpoint/metadata/{id}
curl \
 --request GET 'https://<KIBANA_URL>/api/endpoint/metadata/ed518850-681a-4d60-bb98-e22640cae2a8' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "host_status": "healthy",
  "last_checkin": "2023-07-04T15:48:57.360Z",
  "metadata": {
    "agent": {
      "id": "abb8a826-6812-448c-a571-6d8269b51449",
      "type": "endpoint",
      "version": "8.10.0"
    },
    "Endpoint": {
      "policy": {
        "applied": {
          "id": "d5371dcd-93b7-4627-af88-4084f7d6aa3e",
          "name": "test",
          "status": "success"
        }
      },
      "status": "enrolled"
    },
    "host": {
      "hostname": "WinDev2104Eval",
      "os": {
        "name": "Windows",
        "platform": "windows",
        "version": "20H2"
      }
    }
  }
}